import { IgrStraightNumericAxisBase } from "./igr-straight-numeric-axis-base";
import { NumericYAxis } from "./NumericYAxis";
/**
 * Represents a IgxDataChartComponent numeric Y axis.
*/
export class IgrNumericYAxis extends IgrStraightNumericAxisBase {
    constructor(props) {
        super(props);
    }
    createImplementation() {
        return new NumericYAxis();
    }
    get i() {
        return this._implementation;
    }
    /**
     * Gets if the current axis is of vertical axis
    */
    get isVertical() {
        return this.i.ce;
    }
    scrollRangeIntoView(minimum, maximum) {
        this.i.ln(minimum, maximum);
    }
}
